OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
SyncMaskValues< BoolTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| SyncMaskValues (const std::vector< BoolLeafNodeType * > &nodes, const BoolTreeType &mask)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ SyncMaskValues()

SyncMaskValues | ( | const std::vector< BoolLeafNodeType * > & | nodes,
|  | const BoolTreeType & | mask
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h